import React from 'react';
import PanelWrapper from "../../meta/PanelWrapper";
import PlanElement from "./components/PlanElement";
import PanelTitle from "../../meta/PanelTitle";
import PanelContent from "../../meta/PanelContent";

const FahrplanPanel = () => {
  return (
    <PanelWrapper>
      <PanelTitle title={"ÖPNV Monitor"}/>
      <PanelContent>
        <div className={"flex flex-col gap-3"}>
          <PlanElement trainIdentifier={"S1"} trainHeading={"Dortmund Hbf"} stops={[
            {
              name: "Essen",
              time: "10:00",
              delay: 20
            },
            {
              name: "Nicht Essen",
              time: "10:00",
              delay: 20
            }
          ]}/>

          <PlanElement trainIdentifier={"S1"} trainHeading={"Dortmund Hbf"} stops={[
            {
              name: "Essen",
              time: "10:00",
              delay: 20
            },
            {
              name: "Nicht Essen",
              time: "10:00",
              delay: 20
            }
          ]}/>
        </div>
      </PanelContent>
    </PanelWrapper>


  );
};

export default FahrplanPanel;
